# Updates a organization with data merged from other organizations then signals other microservices to complete the merge

Updates a organization with data merged from other organizations then signals other microservices to complete the merge

Endpoint: PUT /organizations/{tenantId}/{id}/merge
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

  - `id` (string, required)
    The ID of the organization to merge.

## Request body:

  - `application/json` (unknown)
    The updated organization to be merged.

## Request fields (application/json):

  - `options` (object)

  - `options.fields` (array)
    Change the way certain merge field behave

  - `options.fields.field_name` (string, required)
    The field name

  - `options.fields.use_source_id` (string)

  - `source_ids` (array, required)
    The source IDs to merge

## Response 200:

  - `200` (unknown)
    The organization was merged successfully.

## Response 200 fields (application/json):

  - `acronym` (string)
    The acronym for the organization, if applicable

  - `address` (object)
    A complete address

  - `address.city` (string)
    The city of the address

  - `address.country` (string)
    The country ISO code

  - `address.country_name` (string)
    The full name of hte country

  - `address.county` (string)
    The county

  - `address.latitude` (number)

  - `address.line1` (string)
    The first line of the address

  - `address.line2` (string)
    The second line of the address

  - `address.line3` (string)
    The third line of the address

  - `address.longitude` (number)

  - `address.postal_code` (string)
    The zip/postal code

  - `address.state` (string)
    The state/province of the address

  - `address.time_zone_id` (string)

  - `alt_phone_number` (string)
    The alternative phone number

  - `alternate_domain_names` (array)
    Alternate domain names that are associated with this organization

  - `ancestor_organization_ids` (array)
    The ancestor organizations, including the parent organization

  - `contact_role_compliance_status` (string)
    Enum: "in compliance", "not in compliance"

  - `contact_role_compliance_violations` (array, required)

  - `contact_role_compliance_violations.compliance_value` (number, required)

  - `contact_role_compliance_violations.contact_role_id` (string, required)

  - `contact_role_compliance_violations.contact_role_name` (string)

  - `contact_role_compliance_violations.number_of_contacts` (number, required)

  - `contact_role_compliance_violations.violation_type` (string, required)
    Enum: "too few", "too many"

  - `custom_field_values` (array)

  - `custom_field_values.boolean_value` (boolean)
    The boolean value

  - `custom_field_values.custom_field_id` (string)
    The unique identifier of the custom field

  - `custom_field_values.file_url_value` (string)
    The pointer to a file value

  - `custom_field_values.list_value` (array)
    The list value

  - `custom_field_values.numeric_value` (number)
    The numeric value

  - `custom_field_values.string_value` (string)
    The string value of the custom field

  - `custom_field_values.table_value` (array)
    A list of objects (a table)

  - `date_profile_last_updated` (string)
    The date that this organization profile was last updated

  - `description` (string)
    A description of the organization

  - `domain_name` (string)

  - `facebook` (string)
    Url to the organization's Facebook account

  - `fax_phone_number` (string)
    The fax phone number

  - `flags` (array)
    Flags that indicate what type of organization this is

  - `id` (string)
    The unique, string identifier of this organization

  - `linked_in` (string)
    Url to the organization's LinkedIn account

  - `logo_url` (string)
    Url of a logo for this organization

  - `main_phone_number` (string)
    The primary phone number

  - `name` (string, required)
    The name of the organization

  - `notes` (string)
    Any organization notes

  - `number` (number, required)
    The contact number

  - `number_of_ancestors` (number)
    The number of ancestors this organization has

  - `other_addresses` (array)

  - `other_addresses.type_id` (string, required)
    The address type

  - `other_phone_numbers` (array)

  - `other_phone_numbers.phone_number` (string, required)
    The phone number

  - `other_phone_numbers.type_id` (string, required)
    The phone number type

  - `override_automatic_region_assignment` (boolean)
    If true, the region assignment for this record is overridden and should not be automatically assigned

  - `parent_organization_id` (string)
    The parent organization of this one

  - `region_id` (string)
    The region

  - `status` (string)
    The status of the organization record
    Enum: "active", "duplicate", "inactive"

  - `sys_bulk_load_at` (string)
    If this record was loaded via bulk, the timestamp when the record was processed

  - `sys_bulk_load_id` (string)
    If this record was loaded via bulk, the ID of the bulk load process

  - `sys_bulk_load_pk` (string)
    If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

  - `sys_bulk_load_record_no` (number)
    If this record was loaded via bulk, the record number in the source file

  - `sys_bulk_load_source_file` (string)
    If this record was loaded via bulk, the source file

  - `sys_calculated_field_error` (string)
    The error associated with the calculated field

  - `sys_calculated_field_errors` (array)

  - `sys_calculated_field_errors.error` (string)

  - `sys_calculated_field_errors.field` (string)

  - `sys_configuration_snapshot_id` (string)
    If a snapshot was restored/applies to this record, the ID of the snapshot

  - `sys_created_at` (string, required)
    The date/time that this record was created, expressed in ISO-8601 date format

  - `sys_created_by_id` (string, required)
    The ID of the user that created this record

  - `sys_deleted_by_id` (string)
    The ID of the user that deleted (or last tried to delete) this object

  - `sys_directive` (string)
    Means for passing directive information into an object processing logic

  - `sys_external_id` (string)
    The ID that a record has from an external system or data import

  - `sys_has_files_in_s3` (boolean)
    If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

  - `sys_last_bulk_data_operation_id` (string)
    If this record was last touched by a bulk data operation, the ID of that operation

  - `sys_last_bulk_data_operation_sys_version` (string)
    If this record was last touched by a bulk data operation, the sys_version at the time of that operation

  - `sys_last_modified_at` (string, required)
    The date/time that this record record was last modified, expressed in ISO-8601 date format

  - `sys_last_modified_by_id` (string, required)
    The ID of the user that last modified this record

  - `sys_last_security_context` (object)
    The security context of the last insert, modify, or delete performed on this item

  - `sys_locked` (boolean)
    If set, this record is locked and cannot be changed via the API

  - `sys_search_city` (string)
    Search field, internal use only

  - `sys_search_city_lower` (string)
    Search field, internal use only

  - `sys_search_domain_name` (string)
    Search field, internal use only

  - `sys_search_name` (string)
    Search field, internal use only

  - `sys_search_state` (string)
    Search field, internal use only

  - `sys_search_state_lower` (string)
    Search field, internal use only

  - `sys_snapshot_base_version` (number)
    The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

  - `sys_version` (number)
    A number representing the version of this record in the database

  - `tax_exempt` (boolean)
    Whether or not this organization is tax exempt

  - `top_level_organization_id` (string)
    The top level organization; which is the last entry in the ancestor_organization_ids array

  - `twitter` (string)
    Url to the organization's Twitter account

  - `type_id` (string)
    The organization type

  - `website` (string)
    The url of the organization website

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The organization supplied was not valid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The organization could not be found.

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The organization could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to merge organization based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

